Package org.eclipse.swt.internal

# Class NativeImageLoader

java.lang.Object
org.eclipse.swt.internal.NativeImageLoader

public class NativeImageLoader extends Object

## Constructor Summary

Constructors
Constructor
Description
`NativeImageLoader()`

## Method Summary

Modifier and Type
Method
Description
`static ImageData`
`load(InputStream streamAtZoom, ImageLoader imageLoader, int width, int height)`
`static List<DPIUtil.ElementAtZoom<ImageData>>`
`load(DPIUtil.ElementAtZoom<InputStream> streamAtZoom, ImageLoader imageLoader, int targetZoom)`
`static void`
`save(OutputStream stream, int format, ImageLoader imageLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NativeImageLoader

public NativeImageLoader()

## Method Details

### load

public static List<DPIUtil.ElementAtZoom<ImageData>> load(DPIUtil.ElementAtZoom<InputStream> streamAtZoom, ImageLoader imageLoader, int targetZoom)

### load

public static ImageData load(InputStream streamAtZoom, ImageLoader imageLoader, int width, int height)

### save

public static void save(OutputStream stream, int format, ImageLoader imageLoader)